
Name:      qubes-mgmt-salt-dom0-update
Version:   4.0.12
Release:   1%{?dist}
Summary:   Custom 'pkg' module that enables state files to install or update packages in dom0
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-dom0
Requires:  qubes-core-dom0-linux >= 4.0.24

Source0: %{name}-%{version}.tar.gz

%description
Custom 'pkg' module that enables state files to install or update packages in dom0

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post
# Update Salt Configuration
qubesctl saltutil.clear_cache -l quiet --out quiet > /dev/null || true
qubesctl saltutil.sync_all refresh=true -l quiet --out quiet > /dev/null || true

# Enable Test States
#qubesctl top.enable update.tests saltenv=test -l quiet --out quiet > /dev/null || true

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/qubes_dom0_update.py*

%attr(750, root, root) %dir /srv/formulas/base/update-formula
/srv/formulas/base/update-formula/update/qubes-vm.sls
/srv/formulas/base/update-formula/update/qubes-dom0.sls
/srv/formulas/base/update-formula/update/dnf-makecache

%attr(750, root, root) %dir /srv/formulas/test/update-formula
/srv/formulas/test/update-formula/LICENSE
/srv/formulas/test/update-formula/README.rst
/srv/formulas/test/update-formula/update/tests.sls
/srv/formulas/test/update-formula/update/tests.top

%config(noreplace) /etc/salt/minion.d/formula-update.conf

%changelog
* Mon Oct 11 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-dom0-update.git

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae0cc90
- version 4.0.12

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc2bd37
- Keep CVE-2021-20271 workaround on Fedora 32 and older

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2247b3
- version 4.0.11

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89bb4fb
- debian: automatically accept stable -> oldstable change

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c5655c
- Drop CVE-2021-20271 mitigation

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b78d2b
- version 4.0.10

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 717d0b2
- Enforce signature check in RPM

* Thu Mar 18 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e636334
- debian: dsa-4371 fix is not needed anymore

* Thu Mar 18 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 40e0150
- Create the DNF cache with -y before upgrading

* Mon Mar 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7cc1028
- version 4.0.9

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 16e47ce
- rpm: require new enough qubes-core-dom0-linux

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6202f6e
- Drop states using 'onlyif' condition

* Sun Mar 15 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 522c7be
- Invoke 'dnf list' remotely

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6e4e3b7
- Re-run update status notification after the update

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cd6a036
- travis: switch to bionic

* Thu May 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 82dd635
- version 4.0.8

* Thu May 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab2a85d
- Fix handling buster in dsa-4371-update script

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a24640
- version 4.0.7

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - abf8353
- travis: switch to xenial, ignore irrelevant builds

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eabc33e
- Update onion repositories address

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0e9825
- Remove jessie-backports from stretch template

* Fri Jan 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18eb012
- version 4.0.6

* Fri Jan 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17753ec
- Workaround for dnf not refreshing metadata cache

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4891791
- version 4.0.5

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87639c9
- Rename update/vm.sls to update/qubes-vm.sls to avoid conflicts

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18fb694
- Use dsa-4371-update script instead of non-declarative states

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7a3e52
- Include update.vm state in the package.

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6712299
- Add state that apply DSA-4371-1 fix safely

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 021b4de
- version 4.0.4

* Sun Dec 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31e218e
- Fix handling pkg.upgrade refresh=True

* Wed Nov 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3810327
- Fix pkg.upgrade for dom0.

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 9c851ac
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 17d56fa
- Create .spec.in and Source0

* Fri Oct 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef14fc9
- version 4.0.3

* Fri Oct 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cdcdf0a
- Do not try to enable/disable repositories in dom0

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 201177e
- version 4.0.2

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 467fca5
- update qubes_dom0_update.py based on yumpkg.py from salt-2017.7.1

* Sun Jul 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2678286
- version 4.0.1

* Wed Jul 19 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e68be2
- Drop expand_repo_def function

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 06f1f1e
- version 4.0.0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 603943d
- travis: update for Qubes 4.0

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e8defbe
- travis: drop debootstrap workaround

* Fri Jul 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce7d330
- version 3.2.0

* Fri Jul 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b30ae41
- make static analysis happy

* Fri Jul 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a57611
- install: make refresh=True effective

* Fri Jul 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d6f7d5
- list_upgrades: download packages and populate dom0 metadata

* Mon Jun 20 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0763ea
- Handle downgrade and reinstall options of pkg.install

* Mon Jun 20 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0321c39
- update qubes_dom0_update.py based on yumpkg.py from salt-2015.5

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6b9df44
- Drop 'state.sls config' call

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2136089
- travis: initial version

